%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname state_machine
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:       Adds support for creating state machines for attributes on any Ruby class
Name:          rubygem-%{gemname}
Version:       1.1.2
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://www.pluginaweek.org
Source0:       http://rubygems.org/downloads/%{gemname}-%{version}.gem
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      ruby(abi) = 1.8
Requires:      rubygems
Requires:      graphviz-ruby
BuildRequires: rubygems, rubygem-rake, graphviz-ruby
%if 0%{?fedora} 
BuildRequires: rubygem(bundler)
%endif
BuildArch:     noarch
Provides:      rubygem(%{gemname}) = %{version}

%description
Adds support for creating state machines for attributes on any Ruby class

%prep

%build

%package doc
Summary: Documentation files, rdoc, ri, examples and tests
Group: Documentation

%description doc
Documentation files for state_machine, includes RDoc, ri, tests,
examples and another extra documentation files.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.gitignore
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.travis.yml
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.yardopts
rm -r %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/gemfiles
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/init.rb
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/Appraisals

%check
cd %{buildroot}%{gemdir}/gems/%{gemname}-%{version}
echo "Running tests (disabled)"
#rake test
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/Gemfile
rm %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/state_machine.gemspec

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{geminstdir}/lib
%dir %{geminstdir}
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.md
%doc %{geminstdir}/CHANGELOG.md
%{gemdir}/cache/%{gemname}-%{version}.gem
%doc %{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%doc %{geminstdir}/examples
%doc %{geminstdir}/test
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/Rakefile

%changelog
* Sat Jan 21 2012 Guillermo Gómez <gomix@fedoraproject.org> - 1.1.2-2
- Added BR rubygem-bundler to run test suite in the future, excluding
- epel versions, bundler not available yet

* Sat Jan 21 2012 Guillermo Gómez <gomix@fedoraproject.org> - 1.1.2-1
- Updated version 1.1.2

* Wed Jan 04 2012 Guillermo Gómez <gomix@fedoraproject.org> - 1.1.1-1
- Updated version 1.1.1

* Tue Nov 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 1.1.0-1
- Updated version 1.1.0

* Mon Nov 14 2011 Guillermo Gómez <gomix@fedoraproject.org> - 1.0.3-1
- Updated version 1.0.3

* Thu Sep 15 2011 Guillermo Gómez <gomix@fedoraproject.org> - 1.0.2-1
- Updated version 1.0.2

* Sun Jun 05 2011 Guillermo Gómez <gomix@fedoraproject.org> - 1.0.1-1
- Updated version 1.0.1

* Tue Apr 12 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.10.3-2
- graphviz-ruby dependency added

* Mon Apr 11 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.10.3-1
- Udpate version 0.10.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 03 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-5
- %%check section added

* Mon Oct 25 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-4
- Group Documentation for -doc subpackage

* Thu Sep 23 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-3
- Bug fixed BZ636902

* Sun Aug 15 2010 Guillermo Gómez <gomix@fedoraproject.org> - 0.9.4-2
- Documentation splitted in -doc subpackage.

* Tue Aug 10 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-1
- Release 0.9.4 of state_machine.

* Mon Aug 17 2009 Darryl Pierce <dpierce@redhat.com> - 0.8.0-1
- Release 0.8.0 of state_machine.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.6-1
- First official release for Fedora.

* Mon Jul 13 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-4
- Fixed ownership of install directory.

* Fri Jul 10 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-3
- Fixed double-listing of files.

* Wed Jul  1 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-2
- Fixed license to be MIT.
- Added ruby(abi) requirement.

* Sat May 23 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-1
- Initial package
